<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "tmp_car_t".
 *
 * @property integer $id
 * @property string $car_no
 * @property string $register_date
 * @property integer $count
 * @property string $created_at
 * @property string $updated_at
 */
class TmpCarT extends \common\models\Base
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'tmp_car_t';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['car_no', 'register_date'], 'required'],
            [['register_date', 'created_at', 'updated_at'], 'safe'],
            [['count'], 'integer'],
            [['car_no'], 'string', 'max' => 50],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'car_no' => 'Car No',
            'register_date' => 'Register Date',
            'count' => 'Count',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
        ];
    }
}
